﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Threading.Tasks;

namespace CalcioSpeech
{
    public partial class Chart : PhoneApplicationPage
    {
        public Chart()
        {
            InitializeComponent();

            speech = new Windows.Phone.Speech.Synthesis.SpeechSynthesizer();

            recognizer = new Windows.Phone.Speech.Recognition.SpeechRecognizerUI();
            recognizer.Settings.ListenText = "Quali altre informazioni desideri";
            recognizer.Settings.ExampleText = "ultimi in classifica";
            recognizer.Settings.ShowConfirmation = false;
            recognizer.Recognizer.Grammars.AddGrammarFromUri("chart", new Uri("ms-appx:///ChartGrammar.xml"));
            recognizer.Recognizer.PreloadGrammarsAsync();
        }

        private Windows.Phone.Speech.Synthesis.SpeechSynthesizer speech;
        private Windows.Phone.Speech.Recognition.SpeechRecognizerUI recognizer;

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            ContentPanel.Visibility = System.Windows.Visibility.Collapsed;

            string voiceCommandName = this.NavigationContext.QueryString["voiceCommandName"];
            string season = this.NavigationContext.QueryString["season"];

            // Niente await perché non voglio aspettare che finisca la pronuncia
            speech.SpeakTextAsync("Caricamento in corso");

            // Simulo il caricamento dei dati
            await Task.Delay(2000);

            // Mostro e dico la classifica
            ContentPanel.Visibility = System.Windows.Visibility.Visible;
            await speech.SpeakTextAsync("L'inter è primo in classifica, seguito da Milan e dalla Juventus");
        }

        private async void Button_Click_1(object sender, RoutedEventArgs e)
        {
            var r = await this.recognizer.RecognizeWithUIAsync();

            if (r.ResultStatus == Windows.Phone.Speech.Recognition.SpeechRecognitionUIStatus.Succeeded)
            {
                if (r.RecognitionResult.Text.Contains("ultimi"))
                {
                    speech.SpeakTextAsync("Le ultime tre posizioni sono occupate da Napoli, Bari e Udine");
                }
            }
        }
    }
}