﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using TilesTest.Resources;
using System.Windows.Media;

namespace TilesTest
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

        }

        private void SetPrimary_Click(object sender, RoutedEventArgs e)
        {
            Set(new Uri("/", UriKind.Relative));
        }

        private void Set(Uri uri)
        {
            var h = new TileHelper();
            if (flipType.IsChecked.GetValueOrDefault())
            {
                h.FlipTile(uri, "title", "back title", "back content", "wide back content", 2,
                    new Uri("/Assets/Tiles/FlipTileSmall.png", UriKind.Relative),
                    new Uri("/Assets/Tiles/FlipTileMedium.png", UriKind.Relative),
                    new Uri("/Assets/Tiles/FlipTileMediumBack.png", UriKind.Relative),
                    new Uri("/Assets/Tiles/FlipTileLarge.png", UriKind.Relative),
                    //new Uri("http://www.fendt.it/images/Preview_200Vario.png"),
                    new Uri("/Assets/Tiles/FlipTileLargeBack.png", UriKind.Relative),
                    "update",
                    true);
            }
            if (iconicType.IsChecked.GetValueOrDefault())
            {
                h.IconicTile(uri, "title", "wide content 1", "wide content 2", "wide content 3", 2,
                    new Uri("/Assets/Tiles/IconicTileMediumLarge.png", UriKind.Relative),
                    new Uri("/Assets/Tiles/IconicTileSmall.png", UriKind.Relative),
                    Color.FromArgb(0, 0, 0, 0),
                    "update",
                    true);
            }
            if (cycleType.IsChecked.GetValueOrDefault())
            {
                h.CycleTile(uri, "title", 2,
                    new Uri("/Assets/Tiles/FlipTileSmall.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge1.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge2.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge3.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge4.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge5.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge6.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge7.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge8.png", UriKind.Relative),
                   new Uri("/Assets/Tiles/FlipCycleTileLarge9.png", UriKind.Relative),
                   "update", true);
            }
        }

        private void SetSecondary_Click(object sender, RoutedEventArgs e)
        {
            Set(new Uri("/SecondPage.xaml", UriKind.Relative));
        }

        private void LockScreen_Click(object sender, RoutedEventArgs e)
        {
            Windows.System.Launcher.LaunchUriAsync(new Uri("ms-settings-lock:"));
        }


    }
}